#!/bin/bash

if [[ -z "$1" ]];
then
GAIN=30
echo "Defaulted to -$GAIN db"
else
GAIN=$1
echo "Specified -$GAIN db"
fi

sox -b 24 -n harm2_db${GAIN}_1.wav synth 2 sine 2000 gain -${GAIN} delay .000125 synth 2 sine mix 1000
sox -b 24 -n harm2_db${GAIN}_2.wav synth 2 sine 2000 gain -${GAIN} delay .000375 synth 2 sine mix 1000
sox harm2_db${GAIN}_1.wav harm2_db${GAIN}_2.wav harm2_db${GAIN}_1.wav harm2_db${GAIN}_2.wav harm2_db${GAIN}_1.wav harm2_db${GAIN}_2.wav harm2_db${GAIN}_1.wav harm2_db${GAIN}_2.wav  harm2_db${GAIN}.wav
aplay harm2_db${GAIN}.wav

