#!/bin/bash

if [[ -z "$1" ]];
then
GAIN=30
echo "Defaulted to -$GAIN db"
else
GAIN=$1
echo "Specified -$GAIN db"
fi

sox -b 24 -n harm3_db${GAIN}_1.wav synth 2 sine 3000 gain -${GAIN} delay .0000000 synth 2 sine mix 1000
sox -b 24 -n harm3_db${GAIN}_2.wav synth 2 sine 3000 gain -${GAIN} delay .0001667 synth 2 sine mix 1000
sox harm3_db${GAIN}_1.wav harm3_db${GAIN}_2.wav harm3_db${GAIN}_1.wav harm3_db${GAIN}_2.wav harm3_db${GAIN}_1.wav harm3_db${GAIN}_2.wav harm3_db${GAIN}_1.wav harm3_db${GAIN}_2.wav  harm3_db${GAIN}.wav
aplay harm3_db${GAIN}.wav

